Last Comment Bug 652376 - Remove mozilla/xpinstall and move mozilla/toolkit/xpinstall to somewhere more sensible
: Remove mozilla/xpinstall and move mozilla/toolkit/xpinstall to somewhere more...
Status: RESOLVED FIXED
[has patch][needs review dveditz]
:
Product: Core Graveyard
Classification: Graveyard
Component: Installer: XPInstall Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on:
Blocks: 113234 665023 pkix-major
  Show dependency treegraph
 
Reported: 2011-04-23 18:37 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2015-12-11 07:21 PST (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
move toolkit/mozapps/xpinstall (39.30 KB, patch)
2011-04-27 10:07 PDT, Dave Townsend [:mossop]
robert.strong.bugs: review+
Details | Diff | Splinter Review
move xpinstall/packager to toolkit/mozapps/installer (3.04 KB, patch)
2011-04-27 10:08 PDT, Dave Townsend [:mossop]
robert.strong.bugs: review+
khuey: review+
Details | Diff | Splinter Review
remove xpinstall (271.55 KB, patch)
2011-04-27 10:09 PDT, Dave Townsend [:mossop]
dveditz: review+
Details | Diff | Splinter Review
move toolkit/mozapps/xpinstall (23.17 KB, patch)
2011-11-23 15:05 PST, Dave Townsend [:mossop]
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-04-23 18:37:56 PDT

    
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-04-23 18:40:19 PDT
Be careful here, xpinstall/packager is most certainly not dead.
Comment 2 Dave Townsend [:mossop] 2011-04-27 10:07:34 PDT
Created attachment 528620 [details] [diff] [review]
move toolkit/mozapps/xpinstall

This moves the UI pieces from toolkit/mozapps/xpinstall into toolkit/mozapps/extensions. No point in having these separate really.
Comment 3 Dave Townsend [:mossop] 2011-04-27 10:08:41 PDT
Created attachment 528621 [details] [diff] [review]
move xpinstall/packager to toolkit/mozapps/installer

This moves the packaging code from xpinstall/packager to toolkit/mozapps/installer
Comment 4 Dave Townsend [:mossop] 2011-04-27 10:09:27 PDT
Created attachment 528622 [details] [diff] [review]
remove xpinstall

This removes the remains of xpinstall from the tree
Comment 5 Dave Townsend [:mossop] 2011-04-27 10:14:17 PDT
Comment on attachment 528622 [details] [diff] [review]
remove xpinstall

Dan, all this code is no longer in use so this just removes it from the tree
Comment 6 Robert Strong [:rstrong] (use needinfo to contact me) 2011-04-27 10:26:51 PDT
Comment on attachment 528621 [details] [diff] [review]
move xpinstall/packager to toolkit/mozapps/installer

Let's get Kyle's review for the packager changes as well
Comment 7 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-13 12:31:31 PDT
Comment on attachment 528621 [details] [diff] [review]
move xpinstall/packager to toolkit/mozapps/installer

Looks fine... still want khuey r+ before landing.
Comment 8 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-13 12:51:33 PDT
Comment on attachment 528620 [details] [diff] [review]
move toolkit/mozapps/xpinstall

Would be nice to get the other places in the repos that reference xpinstallConfirm.xul updated as well.
http://mxr.mozilla.org/mozilla-central/source/xulrunner/app/xulrunner.js#43

http://mxr.mozilla.org/comm-central/source/calendar/sunbird/app/profile/sunbird.js#101
Comment 9 Dave Townsend [:mossop] 2011-06-20 08:10:25 PDT
Dan, any chance of getting the final sign off to remove all this code?
Comment 10 Kai Engert (:kaie) 2011-09-15 12:30:43 PDT
Brian and I think this does not block "switch to pkix by default", but it should be fixed soon; moving it to a tracker bug for major PKIX related issues.
Comment 11 Dave Townsend [:mossop] 2011-11-22 15:37:01 PST
Jorge, I was going to land the reviewed pieces of this soon but they have some extension impact. They will move a bunch of UI and locale files from chrome://mozapps/xxx/xpinstall/ to chrome://mozapps/xxx/extensions/. I wanted to hear if you thought that would be a particular issue for extension compatibility since it is also possible to just leave them in the same chrome locations (though it would certainly be cleaner and more logical to move them since we're moving the files)
Comment 12 Jorge Villalobos [:jorgev] 2011-11-23 08:37:02 PST
The impact is significant, affecting roughly 50 add-ons on AMO: https://mxr.mozilla.org/addons/search?string=%2Fxpinstall%2F&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=addons

I see some of them point to DTD files, which could break the add-on or Firefox badly. I'd recommend to keep the chrome paths intact, or at least have a deprecation period where both paths work and an error is shown in the Error Console for using the old ones.
Comment 13 Dave Townsend [:mossop] 2011-11-23 15:05:43 PST
Created attachment 576633 [details] [diff] [review]
move toolkit/mozapps/xpinstall

This is an updated patch that does the file moves but leaves the chrome locations for all the files the same so it shouldn't break extensions
Comment 14 Robert Strong [:rstrong] (use needinfo to contact me) 2011-11-23 15:08:36 PST
Comment on attachment 576633 [details] [diff] [review]
move toolkit/mozapps/xpinstall

All of the changes look sane though I didn't look very hard.
Comment 15 Robert Strong [:rstrong] (use needinfo to contact me) 2011-11-23 15:09:28 PST
Comment on attachment 576633 [details] [diff] [review]
move toolkit/mozapps/xpinstall

also need to update toolkit-makefiles.sh
Comment 16 Robert Strong [:rstrong] (use needinfo to contact me) 2011-11-23 15:11:42 PST
bah, please fix this too
+  
\ No newline at end of file
Comment 18 Dave Townsend [:mossop] 2011-11-23 15:19:26 PST
Bleh and https://hg.mozilla.org/integration/mozilla-inbound/rev/5e2bfc3905cb
Comment 20 :Ms2ger (⌚ UTC+1/+2) 2011-11-24 09:38:09 PST
attachment 528622 [details] [diff] [review] doesn't seem to have landed yet.
Comment 21 Daniel Veditz [:dveditz] 2011-12-02 10:13:20 PST
Comment on attachment 528622 [details] [diff] [review]
remove xpinstall

Review of attachment 528622 [details] [diff] [review]:
-----------------------------------------------------------------

r=dveditz
Comment 22 Dave Townsend [:mossop] 2011-12-02 10:21:57 PST
Final patch is on inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/8d5aa2c53f04
Comment 23 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-12-03 03:15:54 PST
https://hg.mozilla.org/mozilla-central/rev/8d5aa2c53f04

Note You need to log in before you can comment on or make changes to this bug.